<div class="container">
  <div class="row justify-content-center">
    <div class="col-md-6">
      <div class="image-container">
        <img
          src="../../assets/My password-pana.png"
          alt="Your Image"
          class="img-fluid"
        />
      </div>
    </div>
    <div class="col-md-6">
      <h2 class="mt-3" id="title">Change Password</h2>
      <form [formGroup]="changePasswordForm" (ngSubmit)="onSubmit()">
        <div class="form-group mt-4">
          <label for="username"
            >Username:<span class="text-danger">*</span></label
          >
          <input
            type="text"
            id="username"
            formControlName="username"
            class="form-control"
          />
        </div>
        <div class="form-group mt-4">
          <label for="oldPassword"
            >Old Password:<span class="text-danger">*</span></label
          >
          <input
            type="password"
            id="oldPassword"
            formControlName="oldPassword"
            class="form-control"
          />
        </div>
        <div class="form-group mt-4">
          <label for="newPassword"
            >New Password:<span class="text-danger">*</span></label
          >
          <input
            type="password"
            id="newPassword"
            formControlName="newPassword"
            class="form-control"
          />
        </div>
        <div class="form-group mt-4 mb-2">
          <label for="newPasswordConfirmation"
            >New Password Confirmation:<span class="text-danger">*</span></label
          >
          <input
            type="password"
            id="newPasswordConfirmation"
            formControlName="newPasswordConfirmation"
            class="form-control"
          />
        </div>
        <button
          type="submit"
          class="submit-button"
          [disabled]="changePasswordForm.invalid"
        >
          Change Password
        </button>
      </form>
    </div>
  </div>
</div>
